/Users/bernard/b20/bsoft/src/rwimg/rwkernel.cpp(3)

NAME
/Users/bernard/b20/bsoft/src/rwimg/rwkernel.cpp - Library routines to read and write kernel files.

SYNOPSIS

#include 'rwkernel.h'
#include 'utilities.h'
#include <fstream>

  Functions
int readKernel (Bimage *p)
Reads a text kernel file.
int writeKernel (Bimage *p)
Writes a text kernel file.

  Variables
int verbose

Detailed Description

Library routines to read and write kernel files.

Author:
    Bernard Heymann

Date:
    Created: 20031102

    Modified: 20120211

Definition in file rwkernel.cpp.

Function Documentation

  int readKernel (Bimage * p)

Reads a text kernel file.

Parameters:
    *p the image structure.

Returns:
    int 0, <0 on error.

Definition at line 21 of file rwkernel.cpp.

  int writeKernel (Bimage * p)

Writes a text kernel file.

Parameters:
    *p the image structure.

Returns:
    int 0.

Definition at line 89 of file rwkernel.cpp.

Variable Documentation

  int verbose

Author

Generated automatically by Doxygen for Bsoft from the source code.